Bug 1121934 - Review Request: perl-Term-EditorEdit - Edit a document via $EDITOR
Summary: Review Request: perl-Term-EditorEdit - Edit a document via $EDITOR
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1121853
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 07:44 UTC by Ralf Corsepius
Modified: 2014-08-15 02:53 UTC (History)
2 users (show)

Fixed In Version: perl-Term-EditorEdit-0.0016-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 02:42:13 UTC
ppisar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2014-07-22 07:44:01 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Term-EditorEdit.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Term-EditorEdit-0.0016-1.fc22.src.rpm
Description:
Term::EditorEdit is a tool for prompting the user to edit a piece of text
via $VISUAL or $EDITOR and return the result
Fedora Account System Username: corsepiu

Note: This package is being used as optional component by rt-4.0.

Comment 1 Petr Pisar 2014-07-24 12:18:24 UTC
Inner and standalone spec files differ. I will use the standalone one for this review.

URL and Source0 are usable. Ok.
Source archive is original (SHA-256: 1af6774e7c686dea23eb89948469b1525ec097486b4ed1d7e8764026ae10fceb). Ok.
Summary verified from README. Ok.
Description verified from REAEDM.

TODO: Append full-stop marker at the and of the description text.

License verified from lib/Term/EditorEdit.pm, README. Ok.
No XS code. noarch BuildArch is Ok.

TODO: Constrain `perl(ExtUtils::MakeMaker)' build-time dependency with `>= 6.30' (Makefile.PL:7).

TODO: You can replace PERL_INSTALL_ROOT= with DESTDIR= in the %install section.

All build-requires are declared. Ok.
The useless editor-edit script is removed from PATH. Ok.
All tests pass. Ok.

$ rpmlint  perl-Term-EditorEdit.spec ../SRPMS/perl-Term-EditorEdit-0.0016-1.fc22.src.rpm ../RPMS/noarch/perl-Term-EditorEdit-0.0016-1.fc22.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Term-EditorEdit-0.0016-1.fc22.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Jul 24 14:10 /usr/share/doc/perl-Term-EditorEdit
-rw-r--r--    1 root    root                      619 Jul  5  2011 /usr/share/doc/perl-Term-EditorEdit/Changes
-rw-r--r--    1 root    root                     2714 Jul  5  2011 /usr/share/doc/perl-Term-EditorEdit/README
-rwxr-xr-x    1 root    root                      129 Jul  5  2011 /usr/share/doc/perl-Term-EditorEdit/editor-edit
-rw-r--r--    1 root    root                     2916 Jul 24 14:10 /usr/share/man/man3/Term::EditorEdit.3pm.gz
drwxr-xr-x    2 root    root                        0 Jul 24 14:10 /usr/share/perl5/vendor_perl/Term
drwxr-xr-x    2 root    root                        0 Jul 24 14:10 /usr/share/perl5/vendor_perl/Term/EditorEdit
-rw-r--r--    1 root    root                     4040 Jul  5  2011 /usr/share/perl5/vendor_perl/Term/EditorEdit.pm
-rw-r--r--    1 root    root                     6020 Jul  5  2011 /usr/share/perl5/vendor_perl/Term/EditorEdit/Edit.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Term-EditorEdit-0.0016-1.fc22.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.18.2)
      1 perl(Any::Moose)
      1 perl(Carp)
      1 perl(File::Temp)
      1 perl(IO::File)
      1 perl(strict)
      1 perl(Term::EditorEdit::Edit)
      1 perl(Text::Clip)
      1 perl(Try::Tiny)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Term-EditorEdit-0.0016-1.fc22.noarch.rpm | sort -f | uniq -c
      1 perl(Term::EditorEdit) = 0.0016
      1 perl(Term::EditorEdit::Edit)
      1 perl-Term-EditorEdit = 0.0016-1.fc22
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Term-EditorEdit-0.0016-1.fc22.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F22 (http://koji.fedoraproject.org/koji/taskinfo?taskID=7190404). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please consider fixing the `TODO' items before building this package.
Resolution: Package APPROVED.

Comment 2 Ralf Corsepius 2014-07-25 03:39:35 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: perl-Term-EditorEdit
Short Description: Edit a document via $EDITOR
Upstream URL: http://search.cpan.org/dist/Term-EditorEdit
Owners: corsepiu
Branches: f19 f20 f21
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2014-07-25 12:00:00 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-08-02 04:47:30 UTC
perl-Term-EditorEdit-0.0016-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Term-EditorEdit-0.0016-1.fc20

Comment 5 Fedora Update System 2014-08-02 04:47:36 UTC
perl-Term-EditorEdit-0.0016-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Term-EditorEdit-0.0016-1.fc19

Comment 6 Fedora Update System 2014-08-03 01:58:04 UTC
perl-Term-EditorEdit-0.0016-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 7 Fedora Update System 2014-08-15 02:42:13 UTC
perl-Term-EditorEdit-0.0016-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:53:45 UTC
perl-Term-EditorEdit-0.0016-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.